//	Release Version:	$ ODF 2 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

//=======================================================================
#ifndef FRAME_H
#include "Frame.h"
#endif

#ifndef PART_H
#include "Part.h"
#endif

// ----- Framework Layer -----
#ifndef FWCONTXT_H
#include "FWContxt.h"			// FW_CViewContext
#endif

// ----- Graphic Includes -----
#ifndef FWRECT_H
#include <FWRect.h>				// FW_CRect
#endif

#ifndef FWRECSHP_H
#include "FWRecShp.h"			// FW_CRectShape
#endif

//========================================================================================
#ifdef FW_BUILD_MAC
#pragma segment Sample1
#endif

//========================================================================================
FW_DEFINE_AUTO(CSample1Frame)

//========================================================================================
CSample1Frame::CSample1Frame(Environment* ev, ODFrame* odFrame, 
									FW_CPresentation* presentation, CSample1Part* sample1Part)
  : FW_CFrame(ev, odFrame, presentation, sample1Part)
{
	FW_END_CONSTRUCTOR
}

//----------------------------------------------------------------------------------------
CSample1Frame::~CSample1Frame()
{
	FW_START_DESTRUCTOR
}

//----------------------------------------------------------------------------------------
void 
CSample1Frame::Draw(Environment* ev, ODFacet* odFacet, ODShape* invalidShape)	// Override
{
	FW_CViewContext context(ev, this, odFacet, invalidShape);
	FW_CRect frameRect = this->GetBounds(ev);

	// fill frame with green  
	FW_CRectShape rectShape(frameRect, FW_kFill);
	rectShape.GetInk().SetForeColor(FW_kRGBGreen);
	rectShape.Render(context);
}
